Debian Bug report logs - #385743
ITA: swish++ -- Simple Document Indexing System for Humans: C++ version

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: fip <mhummel@debian.org>

Date: Sat, 2 Sep 2006 18:18:01 UTC

Owned by: Kapil Hari Paranjape <kapil@imsc.res.in>

Severity: normal

Fixed in version swish++/6.1.4-1

Done: Kapil Hari Paranjape <kapil@imsc.res.in>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <mhummel@debian.org>, <wnpp@debian.org>:
Bug#385743; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to fip <mhummel@debian.org>:
New Bug report received and forwarded. Copy sent to <mhummel@debian.org>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: fip <mhummel@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: swish++ --
Date: Sat, 02 Sep 2006 20:03:53 +0200
Package: wnpp
Severity: normal





Changed Bug title. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#385743; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Kapil Hari Paranjape <kapil@imsc.res.in>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #12 received at 385743@bugs.debian.org (full text, mbox):

From: Kapil Hari Paranjape <kapil@imsc.res.in>
To: 385743@bugs.debian.org, control@bugs.debian.org
Subject: Adopting this package
Date: Sun, 17 Sep 2006 11:29:50 +0530
[Message part 1 (text/plain, inline)]
retitle 385743 ITA: swish++ -- Simple Document Indexing System for Humans: C++ version
thanks

I am in the process of creating a package for version 6.1.4

Watch this space ... :)

Kapil.
--

[signature.asc (application/pgp-signature, inline)]

Changed Bug title. Request was from Kapil Hari Paranjape <kapil@imsc.res.in> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Kapil Hari Paranjape <kapil@imsc.res.in>. Request was from Kapil Hari Paranjape <kapil@imsc.res.in> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#385743; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Kapil Hari Paranjape <kapil@imsc.res.in>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #21 received at 385743@bugs.debian.org (full text, mbox):

From: Kapil Hari Paranjape <kapil@imsc.res.in>
To: debian-mentors@lists.debian.org
Cc: 385743@bugs.debian.org, Martin Wuertele <maxx@debian.org>
Subject: RFS: swish++: A Simple Web Indexing System for Humans --- C++ version
Date: Wed, 18 Oct 2006 09:12:31 +0530
[Message part 1 (text/plain, inline)]
Hello,

As requested earlier on 9nd October:

Could someone please sponsor a New Maintainer upload of swish++?

  	http://www.imsc.res.in/~kapil/debian/swish++/swish++_6.1.4-1.dsc
 
  	or 
  
  	http://mentors.debian.net/debian/pool/main/s/swish++/swish++_6.1.4-1.dsc
 
Features specific to this upload ---
   * New Maintainer. Closes: #385743.
   * New upstream release (6.1.4). Closes: #321674.
      - Builds with g++ 4.1. Closes: #302561, #356160
   * debian/patches: incorporated patches under "quilt".
   * debian/rules:
     - updated for new location of scripts in source.
     - changed "configure-stamp" to use /usr/share/quilt/quilt.make.
       following suggestion of James Westby.
     - replaced use of "debian/fixmanpages" by use of
       quilt.
     - changed "configure-stamp" to fix manpage location.
       Closes: #282508.
     - DH_COMPAT=4
     - Use "distclean" target of toplevel Makefile.
     - Removed call to "dh_undocumented".
   * debian/copyright: included all copyright statements.
   * debian/control:
     - added homepage to description.
     - updated "debhelper" dependency.
     - added "quilt" dependency.
     - update package description. Closes: #291070.
     - Standards-Version 3.7.2. No changes required.
   * debian/changelog: Acknowledge NMU's. Thanks to Frank Lichtenheld,
     Martin Michlmayr.
   * debian/:
     - Removed the unused files "all_in_one.patch" and
       "swish++.conf.patch".
     - added "watch" file.
   * debian/oo_indexing: Included OpenOffice indexing example from
     Bastian Kleineidam. Closes #242238.
   * debian/patches/use_gcc_for_ld: Patched config/config.mk and
     top-level GNUmakefile to use "gcc" instead of "g++" for linking.
     This prevents unneeded dependencies. Thanks to Christian
     Aichinger's scripts for pointing this out.

Thanks and regards,
 
Kapil.
==================details about swish++==========================
Package: swish++
Version: 6.1.4-1
Description: Simple Document Indexing System for Humans: C++ version
 SWISH++ is a Unix-based file indexing and searching engine
 (typically used to index and search files on web sites). It
 was based on SWISH-E although SWISH++ is a complete rewrite.
 .
 SWISH++ features:
   * Lightning-fast indexing
   * Indexes META elements, ALT, and other attributes
   * Selectively not index text within HTML or XHTML elements
   * Intelligently index mail and news files
   * Index Unix manual page files
   * Apply filters to files on-the-fly prior to indexing
   * Index non-text files such as Microsoft Office documents
   * Modular indexing architecture
   * Index new files incrementally
   * Index remote web sites
   * Handles large collections of files
   * Lightning-fast searching
   * Optional word stemming (suffix stripping)
   * Ability to run as a search server
   * Easy-to-parse results format
 .
  Homepage: http://homepage.mac.com/pauljlucas/software/swish/
==================end of details about swish++=====================

[signature.asc (application/pgp-signature, inline)]

Reply sent to Kapil Hari Paranjape <kapil@imsc.res.in>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to fip <mhummel@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #26 received at 385743-close@bugs.debian.org (full text, mbox):

From: Kapil Hari Paranjape <kapil@imsc.res.in>
To: 385743-close@bugs.debian.org
Subject: Bug#385743: fixed in swish++ 6.1.4-1
Date: Mon, 23 Oct 2006 11:33:26 -0700
Source: swish++
Source-Version: 6.1.4-1

We believe that the bug you reported is fixed in the latest version of
swish++, which is due to be installed in the Debian FTP archive:

swish++_6.1.4-1.diff.gz
  to pool/main/s/swish++/swish++_6.1.4-1.diff.gz
swish++_6.1.4-1.dsc
  to pool/main/s/swish++/swish++_6.1.4-1.dsc
swish++_6.1.4-1_amd64.deb
  to pool/main/s/swish++/swish++_6.1.4-1_amd64.deb
swish++_6.1.4.orig.tar.gz
  to pool/main/s/swish++/swish++_6.1.4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 385743@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kapil Hari Paranjape <kapil@imsc.res.in> (supplier of updated swish++ package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 23 Oct 2006 09:27:25 +0530
Source: swish++
Binary: swish++
Architecture: source amd64
Version: 6.1.4-1
Distribution: unstable
Urgency: low
Maintainer: Kapil Hari Paranjape <kapil@imsc.res.in>
Changed-By: Kapil Hari Paranjape <kapil@imsc.res.in>
Description: 
 swish++    - Simple Document Indexing System for Humans: C++ version
Closes: 282508 291070 302561 302561 321674 356160 356160 385743
Changes: 
 swish++ (6.1.4-1) unstable; urgency=low
 .
   * New Maintainer. Closes: #385743.
   * New upstream release (6.1.4). Closes: #321674.
      - Builds with g++ 4.1. Closes: #356160.
   * debian/patches:
      - incorporated patches under "quilt".
      - patch from Andreas Jochens to cast char to int correctly for
        64bit arches. Closes: #302561.
   * debian/rules:
     - updated for new location of scripts in source.
     - changed "configure-stamp" to use /usr/share/quilt/quilt.make.
       following suggestion of James Westby.
     - replaced use of "debian/fixmanpages" by use of
       quilt.
     - changed "configure-stamp" to fix manpage location.
       Closes: #282508.
     - DH_COMPAT=4
     - Use "distclean" target of toplevel Makefile.
     - Removed call to "dh_undocumented".
   * debian/copyright: included all copyright statements.
   * debian/control:
     - added homepage to description.
     - updated "debhelper" dependency.
     - added "quilt" dependency.
     - update package description. Closes: #291070.
     - Standards-Version 3.7.2. No changes required.
   * debian/changelog: Acknowledge NMU's. Thanks to Frank Lichtenheld,
     Martin Michlmayr. Closes: #302561, #356160.
   * debian/:
     - Removed the unused files "all_in_one.patch" and
       "swish++.conf.patch".
     - added "watch" file.
   * debian/oo_indexing: Included OpenOffice indexing example from
     Bastian Kleineidam. Closes #242238.
   * debian/patches/use_gcc_for_ld: Patched config/config.mk and
     top-level GNUmakefile to use "gcc" instead of "g++" for linking.
     This prevents unneeded dependencies. Thanks to Christian
     Aichinger's scripts for pointing this out.
Files: 
 2c497ab3fda10e35f6b990465749dcdb 598 web optional swish++_6.1.4-1.dsc
 08c0eac88e4f08c353037b893e243268 302123 web optional swish++_6.1.4.orig.tar.gz
 9bab0eafbba6f304176227803618e33f 41469 web optional swish++_6.1.4-1.diff.gz
 1dbccb82463fee39b8617e0588689633 303978 web optional swish++_6.1.4-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFPQg4KO6zWj6NzMARAsW6AJ9eS1MVjsyQ6BYtpoenOdXMli30VgCdHgCr
T89oumbvznEbra9zltmt1Uc=
=EhAA
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 04:35:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:02:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.